Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rf.ats.services.integration.webserv
Class BackgroundCheckBean

    java.lang.Object
      com.rf.ats.services.integration.webserv.EntityBean
          com.rf.ats.services.integration.webserv.BackgroundCheckBean

All Implemented Interfaces:
  java.io.Serializable

public class BackgroundCheckBean
extends EntityBean
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`BackgroundCheckBean()`
`BackgroundCheckBean(java.util.Calendar creationDate, FlexFieldBean[] flexValues, long id, java.util.Calendar lastUpdated, java.lang.String status, long candidateId, java.lang.String checkerEmail, java.lang.String checkerName, java.lang.String checkerPhone, java.lang.String comments, java.lang.String creator)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`long` | `getCandidateId()` Gets the candidateId value for this BackgroundCheckBean.
`java.lang.String` | `getCheckerEmail()` Gets the checkerEmail value for this BackgroundCheckBean.
`java.lang.String` | `getCheckerName()` Gets the checkerName value for this BackgroundCheckBean.
`java.lang.String` | `getCheckerPhone()` Gets the checkerPhone value for this BackgroundCheckBean.
`java.lang.String` | `getComments()` Gets the comments value for this BackgroundCheckBean.
`java.lang.String` | `getCreator()` Gets the creator value for this BackgroundCheckBean.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setCandidateId(long candidateId)` Sets the candidateId value for this BackgroundCheckBean.
`void` | `setCheckerEmail(java.lang.String checkerEmail)` Sets the checkerEmail value for this BackgroundCheckBean.
`void` | `setCheckerName(java.lang.String checkerName)` Sets the checkerName value for this BackgroundCheckBean.
`void` | `setCheckerPhone(java.lang.String checkerPhone)` Sets the checkerPhone value for this BackgroundCheckBean.
`void` | `setComments(java.lang.String comments)` Sets the comments value for this BackgroundCheckBean.
`void` | `setCreator(java.lang.String creator)` Sets the creator value for this BackgroundCheckBean.

Methods inherited from class com.rf.ats.services.integration.webserv.EntityBean
`getCreationDate, getFlexValues, getId, getLastUpdated, getStatus, setCreationDate, setFlexValues, setId, setLastUpdated, setStatus`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BackgroundCheckBean

    public BackgroundCheckBean()

### BackgroundCheckBean

    public BackgroundCheckBean(java.util.Calendar creationDate,
                               FlexFieldBean[] flexValues,
                               long id,
                               java.util.Calendar lastUpdated,
                               java.lang.String status,
                               long candidateId,
                               java.lang.String checkerEmail,
                               java.lang.String checkerName,
                               java.lang.String checkerPhone,
                               java.lang.String comments,
                               java.lang.String creator)

Method Detail

### getCandidateId

    public long getCandidateId()

  Gets the candidateId value for this BackgroundCheckBean.

  Returns:
    candidateId

### setCandidateId

    public void setCandidateId(long candidateId)

  Sets the candidateId value for this BackgroundCheckBean.

  Parameters:
    `candidateId` -

### getCheckerEmail

    public java.lang.String getCheckerEmail()

  Gets the checkerEmail value for this BackgroundCheckBean.

  Returns:
    checkerEmail

### setCheckerEmail

    public void setCheckerEmail(java.lang.String checkerEmail)

  Sets the checkerEmail value for this BackgroundCheckBean.

  Parameters:
    `checkerEmail` -

### getCheckerName

    public java.lang.String getCheckerName()

  Gets the checkerName value for this BackgroundCheckBean.

  Returns:
    checkerName

### setCheckerName

    public void setCheckerName(java.lang.String checkerName)

  Sets the checkerName value for this BackgroundCheckBean.

  Parameters:
    `checkerName` -

### getCheckerPhone

    public java.lang.String getCheckerPhone()

  Gets the checkerPhone value for this BackgroundCheckBean.

  Returns:
    checkerPhone

### setCheckerPhone

    public void setCheckerPhone(java.lang.String checkerPhone)

  Sets the checkerPhone value for this BackgroundCheckBean.

  Parameters:
    `checkerPhone` -

### getComments

    public java.lang.String getComments()

  Gets the comments value for this BackgroundCheckBean.

  Returns:
    comments

### setComments

    public void setComments(java.lang.String comments)

  Sets the comments value for this BackgroundCheckBean.

  Parameters:
    `comments` -

### getCreator

    public java.lang.String getCreator()

  Gets the creator value for this BackgroundCheckBean.

  Returns:
    creator

### setCreator

    public void setCreator(java.lang.String creator)

  Sets the creator value for this BackgroundCheckBean.

  Parameters:
    `creator` -

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `EntityBean`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `EntityBean`

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD